export declare type HeaderModel = {
    onboardingLabel: string;
    onboardingUrl: string;
    privateAreaLabel: string;
    privateAreaUrl: string;
    menuA11yTitle: string;
};
export declare type FooterModel = {
    titleRow1: string;
    titleRow2: string;
    supportLink: string;
    showTrustpilot: boolean;
    reviewsTrustpilotLabel: string;
    phone: string;
    callHours: string;
    labelWriteUs: string;
    labelSupport: string;
    assistanceLabel: string;
    labelCallus: string;
    email: string;
    copyright: string;
    cookieSettingsLabel: string;
    trustpilotLabel: string;
    trustpilotRating: number;
    attentionLabel: string;
    attentionBody: string;
    faqLabel: string;
    faqUrl: string;
};
export declare type ResponsiveImage = {
    responsiveImage: {
        srcSet: string;
        webpSrcSet: string;
        sizes: string;
        src: string;
        width: number;
        height: number;
        aspectRatio: number;
        alt: string;
        title: string;
        base64: string;
    };
};
export declare type ResponsiveMedia = {
    id: string;
    width: number;
    height: number;
    mimeType: string;
    responsiveImage: {
        srcSet: string;
        webpSrcSet: string;
        sizes: string;
        src: string;
        width: number;
        height: number;
        aspectRatio: number;
        alt: string;
        title: string;
        base64: string;
    };
    video: {
        mp4Url: string;
        thumbnailUrl: string;
    };
};
export declare enum ButtonTypes {
    Primary = "ButtonPrimary",
    Secondary = "ButtonSecondary",
    Download = "ButtonDownload"
}
export declare enum ButtonHtmlTypes {
    Submit = "submit",
    Button = "button",
    Reset = "reset"
}
export declare enum AnchorOpenMode {
    Self = "_self",
    NewWindow = "_blank"
}
export declare enum ColorStyles {
    Basic1 = "basic1",
    Basic5 = "basic5",
    Basic6 = "basic6"
}
export declare enum LogoColorType {
    Normal = "normale",
    White = "bianco",
    Black = "nero"
}
