import React, { ReactNode } from 'react';
import { AnchorOpenMode, ButtonTypes, ColorStyles } from '../../../types';
export declare type LinkButtonProps = {
    label: string;
    href: string;
    className?: string;
    type: ButtonTypes;
    openMode?: AnchorOpenMode;
    colorStyle?: ColorStyles;
    rel?: string;
    children?: ReactNode;
    onClick?: (e: React.MouseEvent<HTMLElement>) => void;
};
/**
 * A basic anchor
 * @param label
 * @param href
 * @param className
 * @param type
 * @param openMode
 * @param colorStyle
 * @param rel
 * @param children
 * @param onClick
 * @constructor
 */
export declare const LinkButton: ({ label, href, className, type, openMode, colorStyle, rel, children, onClick }: LinkButtonProps) => JSX.Element;
